al_get_fs_entry_mode(3)

NAME

al_get_fs_entry_mode - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    uint32_t al_get_fs_entry_mode(ALLEGRO_FS_ENTRY *e)

DESCRIPTION

Returns the entry's mode flags, i.e. permissions and whether the entry refers to a file or directory.

SEE ALSO

al_get_errno(3), ALLEGRO_FILE_MODE(3)